<template>
  <div class='main-screen-image'>
      <img :class='["main-screen-image__pers", {"main-screen-image__pers--transform": animation}]' src='../../assets/img/pers.png' width='578' height='531' alt=''>
      <img class='main-screen-image__cube-1' src='../../assets/img/main-bg-cube-1.png' width='52' height='52' alt=''>
      <img class='main-screen-image__cube-2' src='../../assets/img/main-bg-cube-2.png' width='83' height='83' alt=''>
  </div>
</template>

<script>
export default {
  data() {
    return {
      animation: true
    }
  },

  mounted() {
    // eslint-disable-next-line no-return-assign
    setTimeout(() => {
      this.animation = false
    }, 500)
  }
}
</script>

<style lang='scss' scoped>
.main-screen-image {
  background-image: url("../../assets/img/main-bg.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  max-width: 578px;
  width: 100%;
  max-height: 531px;
  height: 100%;
  display: flex;
  position: relative;

  &__pers {
    transition: 2s;
    object-fit: contain;
    max-width: 578px;
    width: 100%;
    max-height: 531px;
    height: 100%;
    transform: translate(167px, -53px);
  }

  &__pers--transform {
    transform: translate(550px, -550px);
  }

  &__cube-1,
  &__cube-2 {
    position: absolute;
    object-fit: contain;
  }

  &__cube-1 {
    top: 50%;
    left: 31%;
    width: 52px;
    height: 52px;
  }

  &__cube-2 {
    top: 35%;
    left: 48%;
  }
}
</style>
